﻿.carousel-inner img {
    object-fit: cover;
    object-position: center;
    height: 75vh;
    width: 100%; 
    overflow: hidden;
}
.carousel-caption {
    color: white;
    text-shadow: 
        -1px -1px 0 black, 
        -1px 1px 0 black, 
        1px -1px 0 black, 
        1px 1px 0 black;
}

.btnPublicarServicios {
    display: flex;
    justify-content: center;
    align-content: center;
}

.PublicarServicios {
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    border-radius: 10px;
    width: 260px;
    height: 42px;
    text-decoration: none;
    font-weight: 500;
    letter-spacing: 0.3px;
    background: linear-gradient(135deg, #0ea5e9, #22c55e);
    box-shadow: 0 10px 25px rgba(34,197,94,0.3);
    transition: 0.3s;
}
    .PublicarServicios:hover {
        transform: translateY(-2px);
        box-shadow: 0 15px 30px rgba(34,197,94,0.5);
    }

@media screen and (max-width:1200px){
    .carousel-inner img {
        height: 60vh;
    }
}

@media screen and (max-width:992px){
    .carousel-inner img {
        height: 50vh;
    }
}

@media screen and (max-width:768px){
    .carousel-inner img {
        height: 45vh;
    }
}

@media screen and (max-width:576px){
    .carousel-inner img {
        height: 35vh;
    }
}

@media screen and (max-width:480px) {
    .carousel-inner img {
        height: 30vh;
    }
}

@media screen and (max-width:380px) {
    .carousel-inner img {
        height: 25vh;
    }
}


@keyframes gradientMove {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}
.carousel {
    background: rgba(255,255,255,0.06);
    backdrop-filter: blur(18px);
    border-radius: 16px;
    border: 1px solid rgba(255,255,255,0.08);
    box-shadow: 0 20px 50px rgba(0,0,0,0.5);
    overflow: hidden;
}